Bug 106045 - Dia diagram font support
Dia diagram font support
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: Triaged
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-10-02 04:51 EDT by Dee-Ann LeBlanc
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-13 09:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dee-Ann LeBlanc 2003-10-02 04:51:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The dia diagram tool changed what font base it uses from .90 to .91, and it
seems that this was missed. This issue is discussed in the dia FAQ at:


under the topic "Why don't my fonts work right?"

While I can type text into a diagram, it's nigh microscopic, and no matter what
I do it won't resize. I don't have this problem with dia-0.90-11 under RHL 9
(which of course uses the old font setup).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Dia Diagram
2. File | New Diagram to open up a new document.
3. Click T on the main dialog
4. Click within the document
5. Type text. 

Actual Results:  If you squint real hard you can read the text. Double-click it
and try assigning the text another size. It doesn't work.

Expected Results:  The text should initially be at a readable size and respond
to size changes.

Additional info:

There's also an error message when I launch Dia:

Could not load XSLT library (/usr/lib/libxslt.so) : /usr/lib/libxslt.so: cannot
open shared object file: No such file or directory.

I have libxslt and libxslt-devel installed on this machine.
Comment 1 Alexander Larsson 2003-10-06 12:09:53 EDT
I think this was a pango-ft issue. I remember the discussion on gtk-devel-list.
Comment 2 Alexander Larsson 2003-10-13 09:16:48 EDT
This is fixed in 0.91-3, which is building now.

Note You need to log in before you can comment on or make changes to this bug.